SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Web Server/CGI)  >   IBM WebSphere Vendors:   IBM
IBM WebSphere Application Server Bugs Let Remote and Remote Authenticated Users Gain Elevated Privileges
SecurityTracker Alert ID:  1032190
SecurityTracker URL:  http://securitytracker.com/id/1032190
CVE Reference:   CVE-2015-0174, CVE-2015-0175, CVE-2015-1882, CVE-2015-1885   (Links to External Site)
Date:  Apr 22 2015
Impact:   Disclosure of system information, Disclosure of user information, Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 7.0, 8.0, 8.5, 8.5.5
Description:   Multiple vulnerabilities were reported in IBM WebSphere Application Server. A remote or remote authenticated user can gain elevated privileges on the target system. A remote authenticated user can obtain potentially sensitive information on the target system.

A remote authenticated user can exploit a flaw in the processing of configuration data via SNMP to obtain potentially sensitive information [CVE-2015-0174]. Version 8.5 is affected.

A remote authenticated user can supply specially crafted authData elements to trigger a flaw in the Liberty Profile to gain elevated privileges on the target system [CVE-2015-0175]. Version 8.5 is affected.

A remote user can trigger a flaw in the Full Profile and Liberty Profile when an OAuth grant type of password is used to gain elevated privileges [CVE-2015-1885].

A remote authenticated user can exploit a flaw where the 'Run-as' user for EJB is not properly enforced in multi-threaded race conditions to gain elevated privileges [CVE-2015-1882]. Version 8.5 is affected.

Impact:   A remote and remote authenticated user can gain elevated privileges on the target system.

A remote authenticated user can obtain potentially sensitive information on the target system.

Solution:   The vendor has issued a fix (APAR PI21072, PI33008, PI33202, PI36211, PI33357).

The vendor's advisory is available at:

https://www-304.ibm.com/support/docview.wss?uid=swg21697368

Vendor URL:  www-304.ibm.com/support/docview.wss?uid=swg21697368 (Links to External Site)
Cause:   Not specified
Underlying OS:  Linux (Any), UNIX (AIX), UNIX (HP/UX), UNIX (Solaris - SunOS), Windows (Any), z/OS

Message History:   This archive entry has one or more follow-up message(s) listed below.
Sep 9 2015 (IBM Issues Fix for IBM Security Identity Manager Virtual Appliance) IBM WebSphere Application Server Bugs Let Remote and Remote Authenticated Users Gain Elevated Privileges
IBM has issued a fix for IBM Security Identity Manager Virtual Appliance.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC